RDKit::MolStandardize::ValidationErrorInfo Class Reference

The ValidationErrorInfo class is used to store the information returned by a. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::ValidationErrorInfo:

## Public Member Functions

| ValidationErrorInfo (const std::string &msg)
const char * | message () const
| ~ValidationErrorInfo () throw ()

## Detailed Description

The ValidationErrorInfo class is used to store the information returned by a.

Definition at line 37 of file Validate.h.

## Constructor & Destructor Documentation

## ValidationErrorInfo()

RDKit::MolStandardize::ValidationErrorInfo::ValidationErrorInfo | ( | const std::string & | msg | ) |

inline

Definition at line 39 of file Validate.h.

References BOOST_LOG, and rdInfoLog.

## ~ValidationErrorInfo()

RDKit::MolStandardize::ValidationErrorInfo::~ValidationErrorInfo | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 43 of file Validate.h.

## Member Function Documentation

## message()

const char* RDKit::MolStandardize::ValidationErrorInfo::message | ( |  | ) | const

inline

Definition at line 42 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h